sccs-rcs2sccs(1)

NAME
sccs-rcs2sccs, rcs2sccs - convert RCS files into SCCS files

SYNOPSIS

/usr/ccs/bin/rcs2sccs [-rm] [-V6] [file...]

DESCRIPTION

rcs2sccs converts RCS history files into SCCS history files. If a list of files is specified, this list is converted. If no file arguments are specified, all RCS files in the current directory are converted.

OPTIONS

The following options are supported:

-rm Remove the RCS history files on success.

-V6 Convert into SCCS v6 history files.

-V  Prints the rcs2sccs version number string and exists.

-help
    Print a short usage overview and exit.

EXAMPLES

FILES

/tmp/rcs2sccs_*
    temporary files

ATTRIBUTES

See attributes(5) for descriptions of the following attributes:

SEE ALSO

sccs(1), sccs-admin(1), sccs-cdc(1), sccs-comb(1) sccs-delta(1), sccs-get(1), sccs-help(1), sccs-prs(1), sccs-prt(1), sccs-rmdel(1), sccs-sact(1), sccs-unget(1), sccs-val(1), sccscvt(1), sccslog(1), bdiff(1), diff(1), what(1), sccsfile(4), attributes(5), environ(5), standards(5).

DIAGNOSTICS

Use the SCCS help command for explanations of messages. See sccs-help(1).

NOTES

While RCS records time stamps in GMT, SCCS uses local time. When a SCCS v6 history file is created, rcs2sccs converts the time stamps to SCCS GMT time stamps with GMT offset +0000 which can co-exist with time stamps in local time.

When a SCCS v4 history file is created, converting from RCS to SCCS is done by literarily transforming the time stamps and thus keeping the GMT time base which may differ from local time. If you like to convert the time stamps in the resulting SCCS files to a local timebase, call:

    TZ=GMT sccs cvt -V6 SCCS
    sccs cvt -V4 -d SCCS

But note that this conversion may not be correctly converted back to GMT in case that time stamps exists in the overlapping period of wall clock time that appears when switching from DST to non-DST.

AUTHOR

The original code is from around 1990 from the net from an author identified as "kenc". This version is maintained by Joerg Schilling.